io.undertow.security.impl

## Class SecurityContextFactoryImpl

- java.lang.Object
- - io.undertow.security.impl.SecurityContextFactoryImpl

All Implemented Interfaces:
  SecurityContextFactory

    public class SecurityContextFactoryImpl
    extends Object
    implements SecurityContextFactory

Default `SecurityContextFactory` implementation. It creates `SecurityContextImpl` instances with the specified parameters, setting the programmatic mechanism name if it is not null.

Author:
  Stefan Guilhen

### Field Summary

Fields
`static SecurityContextFactory` `INSTANCE`

### Method Summary

All Methods Instance Methods Concrete Methods
`SecurityContext` `createSecurityContext(HttpServerExchange exchange, AuthenticationMode mode, IdentityManager identityManager, String programmaticMechName)` Instantiates and returns a `SecurityContext` using the specified parameters.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final SecurityContextFactory INSTANCE

### Method Detail

#### createSecurityContext

    public SecurityContext createSecurityContext(HttpServerExchange exchange,
                                                 AuthenticationMode mode,
                                                 IdentityManager identityManager,
                                                 String programmaticMechName)

Description copied from interface: `SecurityContextFactory`

Instantiates and returns a `SecurityContext` using the specified parameters.

Specified by:
  `createSecurityContext` in interface `SecurityContextFactory`
Parameters:
  `exchange` - the `HttpServerExchange` instance.
  `mode` - the `AuthenticationMode`.
  `identityManager` - the `IdentityManager` instance.
  `programmaticMechName` - a `String` representing the programmatic mechanism name. Can be null.
Returns:
  the constructed `SecurityContext` instance.